aboutsummaryrefslogtreecommitdiffstats
path: root/bootscripts/lfs/init.d/network
diff options
context:
space:
mode:
Diffstat (limited to 'bootscripts/lfs/init.d/network')
-rw-r--r--bootscripts/lfs/init.d/network73
1 files changed, 73 insertions, 0 deletions
diff --git a/bootscripts/lfs/init.d/network b/bootscripts/lfs/init.d/network
new file mode 100644
index 000000000..b99ecfdb9
--- /dev/null
+++ b/bootscripts/lfs/init.d/network
@@ -0,0 +1,73 @@
+#!/bin/sh
+########################################################################
+# Begin $rc_base/init.d/network
+#
+# Description : Network Control Script
+#
+# Authors : Gerard Beekmans - gerard@linuxfromscratch.org
+# Nathan Coulson - nathan@linuxfromscratch.org
+# Kevin P. Fleming - kpfleming@linuxfromscratch.org
+#
+# Version : 00.00
+#
+# Notes :
+#
+########################################################################
+
+. /etc/sysconfig/rc
+. ${rc_functions}
+. /etc/sysconfig/network
+
+case "${1}" in
+ start)
+ # Start all network interfaces
+ for file in ${network_devices}/ifconfig.*
+ do
+ interface=${file##*/ifconfig.}
+
+ # skip if $file is * (because nothing was found)
+ if [ "${interface}" = "*" ]
+ then
+ continue
+ fi
+
+ IN_BOOT=1 ${network_devices}/ifup ${interface}
+ done
+ ;;
+
+ stop)
+ # Reverse list
+ FILES=""
+ for file in ${network_devices}/ifconfig.*
+ do
+ FILES="${file} ${FILES}"
+ done
+
+ # Stop all network interfaces
+ for file in ${FILES}
+ do
+ interface=${file##*/ifconfig.}
+
+ # skip if $file is * (because nothing was found)
+ if [ "${interface}" = "*" ]
+ then
+ continue
+ fi
+
+ IN_BOOT=1 ${network_devices}/ifdown ${interface}
+ done
+ ;;
+
+ restart)
+ ${0} stop
+ sleep 1
+ ${0} start
+ ;;
+
+ *)
+ echo "Usage: ${0} {start|stop|restart}"
+ exit 1
+ ;;
+esac
+
+# End /etc/rc.d/init.d/network